/* color palette
/* color palette
   #00302c - accent
*/

body {
    padding-top: 50px;
    padding-bottom: 20px;
    background-color: #333;
    color: #fff;
}

h1, h2, h3, h4, h5, h6 {
    color: #00d6d6;
}

a, a:hover, a:visited, a:active, a:focus {
    color: #00d6d6;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select {
    /*max-width: 280px;*/
    color: #000;
}

input[type='number'] {
    -moz-appearance: textfield;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

    input:invalid, textarea:invalid, select:invalid {
        color: #000;
        background-color: #e4b9b9;
    }

.text-light {
    color: #DDDDDD !important;
}

.text-prewrap {
    white-space: pre-wrap;
}
    .text-prewrap:before, .text-prewrap:after {
        white-space: normal;
    }

.row-spacer {
    margin: 4px;
}

.border-after {
    border-bottom: solid 1px #fff;
}
.border-after:last-child {
    border-bottom: 0;
}

.full-width {
    width: 100%;
}

.well, .panel {
    background-color: #0B4843;
    color: #fff;
}

.well.disabled {
    position: relative;
}
.well.disabled::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    opacity: 0.5;
    background-color: #333;
    z-index: 999;
}

.need-submit {
    border-color: #a94442;
}

.panel:last-child, .panel-body:last-child {
    margin-bottom: 0;
}

.panel-default > .panel-heading,
.panel-default > .panel-footer,
.panel-default > .panel-collapse > .panel-footer,
.panel-default .tab-pane > .panel-footer,
.modal-content > .modal-header,
.modal-content > .modal-footer {
    color: #fff;
    background-color: #00302c;
}
.panel-default > .panel-body,
.panel-default > .panel-collapse > .panel-body,
.modal-content > .modal-body {
    color: #fff;
    background-color: #0b4843;
}

.panel-title + .nav-pills {
    margin-left: 10rem;
}

/*.panel.panel-default > .panel-group,
.panel.panel-default .tab-pane > .panel-body {
    max-height: 68vh;
    overflow: auto;
}*/

.modal-content {
    border: 1px solid #fff;
}

.modal-header .close {
    color: #fff;
    text-shadow: 0 1px 0 #000;
    filter: alpha(opacity=30);
    opacity: .3;
}

.modal-body {
    max-height: 70vh;
    overflow: auto;
}


.navbar, .navbar .dropdown-menu {
    background-color: #00302c;
    color: #00d6d6;
}

.navbar .navbar-nav > li > a, .navbar .dropdown-menu a {
    color: #00d6d6;
}

ul.navbar-nav li.dropdown:hover > ul.dropdown-menu {
    display: block;
}

.navbar-brand {
    background: url('../images/lifestoned-site-logo-240.png') center 0px no-repeat;
    width: 240px;
}

.navbar .dropdown-toggle:after {
    font-family: 'Glyphicons Halflings';
    font-size: 0.75rem;
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;

    margin-left: 1px;
    content: "\e252";
}

.navbar.navbar-secondary {
    background-color: #20635e;
    position: fixed;
}

    .navbar.navbar-secondary > .container {
        margin: 0 0 0 0;
        padding: 0 -15px;
    }

.nav-pills > li.active > a {
    background-color: #20635e;
    color: #FFF;
}
    .nav-pills > li.active > a:hover,
    .nav-pills > li.active > a:focus {
        background-color: #20635e;
        color: #FFF;
    }

.nav-tabs > li.active > a {
    background-color: #00302c;
    color: #FFF;
}

    .nav-tabs > li.active > a:hover,
    .nav-tabs > li.active > a:focus {
        background-color: #00302c;
        color: #FFF;
    }

    .nav-tabs > li.active > a > .badge,
    .nav-pills > li.active > a > .badge {
        background-color: #333;
        color: #FFF;
    }

.nav-tabs > li > a, .nav-tabs > li > a:active, .nav-tabs > li > a:visited,
.nav-pills > li > a, .nav-pills > li > a:active, .nav-pills > li > a:visited {
    color: #fff;
}
    .nav-tabs > li > a:hover,
    .nav-pills > li > a:hover {
        color: #333;
    }

    .nav-tabs + .tab-content {
        background-color: #00302c;
        padding: 1.5rem 0;
        border: solid 1px #ddd;
        border-top: 0;
        border-radius: 0 0 5px 5px;
    }

.nav-pills.nav-pills-sm > li > a {
    padding: 5px 10px;
}

/* Home Screen */
.jumbotron.home-map {
    background: url('../images/lifeStonedMapBG.png') center top no-repeat;
}

.btn-primary, .btn-default {
    background-color: #001c1a;
    border-color: #000c0b;
    color: #fff;
}

    .nav > li > a:hover, .nav > li > a:focus,
    .btn-primary:hover, .btn-default:hover {
        background-color: #20635e;
        border-color: #000c0b;
        color: #fff;
    }

.btn-warning {
    color: #333;
}

.btn-group {
    margin-bottom: 0.25rem;
}

.tile-notice {
    margin: 2.5rem 0;
    padding: 0.25rem;
    font-size: 2rem;
    color: #fff;
    text-align: right;
}
    .tile-notice em {
        text-decoration: none;
        font-style: normal;
        font-weight: bold;
        color: #c7961d;
    }

.tile-button {
    background-color: #996734;
    border-radius: 5px;
    margin: 0.75rem 0;
    padding: 0.25rem;
    text-align: center;
    font-size: 2.5rem;
    color: #fff;
}

.tile-button a {
    color: #fff;
}

/* Weenie Edit  */

.icon {
    display: inline-block;
    width: 32px;
    height: 32px;
}

    .icon > img {
        vertical-align: top !important;
    }

.vcenter {
    display: inline-block !important;
    vertical-align: middle !important;
    float: none !important;
}

.wide {
    max-width: 100%;
}

h3.panel-title {
    display: inline-block;
}

.expand-all {
    float: right;
}

.expand-all:hover {
    cursor: pointer;
}

/*World Release Hashes are long:*/
.table td.hashExpand {
    max-width: 166px;
}

.table td.hashExpand a {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
    max-width: 100%;
}

.weenie-table > tbody > tr.done td:first-child {
    color: #377020;
}
.weenie-table > tbody > tr.working td:first-child {
    color: #6b6b6b;
}
.weenie-table > tbody > tr td:first-child {
    color: #b69e21;
}

.table > thead > tr {
    background-color: #00302c;
}

.table > tbody > tr .btn-secondary {
    background-color: #20635e;
    color: #cccccc;
}

.table-striped > tbody > tr:nth-of-type(odd) {
    color: #333;
}


.table-hover > tbody > tr:hover {
    background-color: #20635e !important;
    color: #cccccc !important;
}

    .table-hover > tbody > tr:hover .btn-secondary {
        background-color: #cccccc !important;
        color: #20635e !important;
    }

        .table-hover > tbody > tr:hover .btn-secondary:hover {
            background-color: #20635e !important;
            color: #cccccc !important;
        }

.btn-toolbar.stuck {
    position: fixed;
    left: 0;
    top: 7rem;
    margin-left: 0;
}

.btn-toolbar.stuck > .btn-group-vertical {
    display: block;
    margin-top: 0.5rem;
}

.btn-toolbar.stuck .nav > li.active > a {
    background-color: #00302c;
    color: #FFF;
}


a[data-toggle]:before {
    position: relative;
    top: 0px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    font-size: 0.95rem;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    margin-right: 5px;
}

a[data-toggle=collapse][aria-expanded=false]:before, a[data-toggle=collapse]:before {
    content: "\002b";
}
a[data-toggle=collapse][aria-expanded=true]:before {
    content: "\2212";
}

.dropzone {
    color: #000;
}

    .dropzone .dz-preview.dz-error .dz-error-message {
        display: none;
    }

ul.typeahead {
    line-height: 1rem;
    max-height: 25rem;
    overflow: auto;
}

/* Spawn Maps */
.spawn-map { }

    .spawn-map .panel {
        position: relative;
    }

    .spawn-map .weenies {
        overflow: auto;
        height: 55vh;
        padding: 0;
    }

        .spawn-map .weenies > div {
            border-bottom: 1px solid #fff;
            padding: 0.5rem 1rem;
        }

            .spawn-map .weenies > div[selected] {
                background-color: #20635e
            }
            .spawn-map .weenies > div .input-group-addon {
                min-width: 5rem;
            }
            .spawn-map .weenies > div .input-group {
                position: initial !important;
            }

.injectionDiv {
    color: #000;
}

.stick-scroll {

}

.stuck-scroll {
    position: fixed;
    top: 50px;
    z-index: 999;
    margin: 0 auto;
}

.stuck-scroll + div {
    margin-top: 55px;
}

@media (min-width: 768px) {
    .stuck-scroll {
        width: 718px;
    }
}

@media (min-width: 992px) {
    .stuck-scroll {
        width: 938px;
    }
}

@media (min-width: 1200px) {
    .stuck-scroll {
        width: 1138px;
    }
}
